petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetUniformCoordinates

Sets a DMDA coordinates to be a uniform grid

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetUniformCoordinates(DM da,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscReal zmin,PetscReal zmax)

Collective on DMDA Many br

### Input Parameters

| da | - the distributed array object Many br
| xmin,xmax | - extremes in the x direction Many br
| ymin,ymax | - extremes in the y direction (value ignored for 1 dimensional problems) Many br
| zmin,zmax | - extremes in the z direction (value ignored for 1 or 2 dimensional problems) Many br

Many br

### See Also

DMSetCoordinates(), DMGetCoordinates(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/dm/impls/da/gr1.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex33.c.html